## mlterm 2.4.0.cvs20020414

=== Makefile ===
all .DEFAULT:
	cd kiklib/autoconf ; $(MAKE) $@
	cd mkf/autoconf ; $(MAKE) $@
	cd autoconf ; $(MAKE) $@

install:
	cd kiklib/autoconf ; $(MAKE) install-la
	cd mkf/autoconf ; $(MAKE) install-la
	cd autoconf ; $(MAKE) install

distclean:
	-cd kiklib/autoconf ; $(MAKE) $@
	-cd mkf/autoconf ; $(MAKE) $@
	-cd autoconf ; $(MAKE) $@
	rm -f config.log config.cache config.status install-sh mkf/kiklib

=== kiklib/autoconf/Makefile ===
all .DEFAULT:
	cd ../src ; $(MAKE) $@
	
distclean : clean
	rm -f config.log config.cache config.status libtool \
		../src/Makefile ../src/kik_config.h

=== mkf/autoconf/Makefile ===
all .DEFAULT:
	cd ../lib ; $(MAKE) $@

distclean : clean
	rm -f config.log config.cache config.status libtool \
		config.mk ../lib/Makefile

=== tool/w3mmlconfig/Makefile ===

prefix		= /usr/local
BIN_DIR		= $(prefix)/bin
LIB_DIR		= $(prefix)/libexec/w3mmlconfig

distdir		= ./distfiles
DISTNAME	= w3mmlconfig

TARGETS		= w3mmlconfig
LIB_TARGETS	= mlconfig.cgi
DATA_TARGETS	= mlconfig-data.pl
DATA		= mlconfig-data section/* key/*
DISTFILES	= Makefile w3mmlconfig.in mlconfig.cgi.in	\
		mk_mlconfig-data.pl mlconfig-data section key

PERL		= /usr/local/bin/perl

MKDIR		= mkdir -p
INSTALL		= install -c
INSTALL_SCRIPT	= $(INSTALL) -m 755
INSTALL_DATA	= $(INSTALL) -m 644

.SUFFIXES: .in

all: $(TARGETS) $(LIB_TARGETS) $(DATA_TARGETS)

.in:
	sed -e 's;@CGI_BIN@;$(LIB_DIR);'	\
	    -e 's;@PERL@;$(PERL);'	\
	    $< > $@

mlconfig-data.pl: $(DATA)
	$(PERL) mk_mlconfig-data.pl mlconfig-data > $@

dist:
	@rm -rf $(distdir)/$(DISTNAME)
	$(MKDIR) $(distdir)/$(DISTNAME)
	cp -rp $(DISTFILES) $(distdir)/$(DISTNAME)
	(cd $(distdir); tar -cf - $(DISTNAME) | GZIP='' gzip)	\
		> $(distdir)/$(DISTNAME).tar.gz
	@rm -rf $(distdir)/$(DISTNAME)

install: all
	-$(MKDIR) $(DESTDIR)$(BIN_DIR)
	-$(MKDIR) $(DESTDIR)$(LIB_DIR)
	for file in $(TARGETS);     \
	do      \
		$(INSTALL_SCRIPT) $$file $(DESTDIR)$(BIN_DIR);  \
	done
	for file in $(LIB_TARGETS);     \
	do      \
		$(INSTALL_SCRIPT) $$file $(DESTDIR)$(LIB_DIR);  \
	done
	for file in $(DATA_TARGETS);     \
	do      \
		$(INSTALL_DATA) $$file $(DESTDIR)$(LIB_DIR);  \
	done

=== contrib/tool/mlconf_curses/Makefile ===
PERL = /usr/bin/perl

TARGETS = mlconf_curses
SRC = mlconf_curses.pl

DESTDIR = /
BINDIR = /usr/bin


MKDIR           = mkdir -p
INSTALL         = install -c
INSTALL_SCRIPT  = $(INSTALL) -m 755

all: $(TARGETS)

$(TARGETS): $(SRC)
	$(PERL) -pe 's#/usr/bin/perl#$(PERL)#' $? > $@

install: all
	-$(MKDIR) $(DESTDIR)$(BINDIR)
	for file in $(TARGETS);     \
	do      \
		$(INSTALL_SCRIPT) $$file $(DESTDIR)$(BINDIR);  \
        done

clean:
	rm -rf $(TARGETS)

## mlterm 2.9.4

=== tool/accessories/Makefile ===
prefix=/usr/local
bindir=$(prefix)/bin

DESTDIR=
BINDIR=$(DESTDIR)$(bindir)

TARGETS=viewsfml.sh xconsole.sh google.sh

INSTALL=install -c

install:
	$(INSTALL) -m 755 viewsfml.sh xconsole.sh $(BINDIR)/

## mlterm 3.0.1

=== debian/changelog ===
mlterm (3.0.1-2) unstable; urgency=low

  * Added numlock.diff patch, to add XK_Num_Lock to default_keysyms in
    x_window_get_mod_ignore_mask() (Closes: #597380)
  * debian/control:
    + Bumped Standards-Version to 3.9.1
    + Use Breaks/Replaces mlterm (<= 2.8.0.cvs20040403-2) for mlterm-tools
      instead of Conflicts

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Sat, 25 Sep 2010 04:25:14 +0300

mlterm (3.0.1-1) unstable; urgency=low

  * New upstream release.
  * Use dh 7 features
  * debian/mlterm-tools.lintian-overrides: Remove extra W:
  * debian/control:
    + B-D on debhelper >= 7.0.50~
    + Removed ttf-thabit from Suggests.
    + Added Vcs-* fields.
  * debian/*.dirs: Removed dirs that would be created anyways during
    installation.
  * debian/config-aafont: Use the virtual font Monospace instead of
    setting a certain font.
  * debian/rules:
    + Remove mkf/libtbl/Makefile on clean stage.
    + Do not explicitly run configure in contrib/tools/mlcc, since configure
      script has been patched to do so.
    + Do not ignore make-clean-error.
    + Remove many cleaning commands from clean target since they were already
      cleaned by upstream build system, only a couple of files needed to be
      cleaned by patching build system.
    + Add --enable-{m17nlib,uim,scim} in the final configure call, that is to
      get the respective dirs cleaned at the end.
    + Install libim-{uim,scim,m17nlib} libraries by moving them from
      $(MLTERM_COMMON)/usr/lib/mlterm/ to the respective packages.
    + Clean up.
  * Renamed patch debian-changes-3.0.0-1~ppa1 to disable_rpath.diff, and add
    description to it.
  * Added consistent_manpage.diff patch to make manpage consistent with
    default settings in Debian package (Closes: #419594)
  * Removed debian/mlterm-common.post{inst,rm} as they will be generated
    automatically by debhelper.
  * debian/mlterm-tiny.prerm: Call update-alternatives on "remove" instead of
    "deconfigure" (Closes: #355432).
  * debian/watch: use versionmangling to get correct uscan results.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Fri, 18 Jun 2010 09:54:18 +0300

mlterm (3.0.0-1) unstable; urgency=low

  [ أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org> ]
  * New upstream release. (closes: #577247)
  * Removed CVS snapshot patch since it is included upstream.
  * Switch to 3.0 (quilt) source format.
  * debian/rules:
    + Added --enable-optimize-redrawing to common configure options
    + Added VPATH=$(CURDIR)/xwindow-tiny argument when building xterm-tiny
    + Use dh_prep instead of deprecated dh_clean -k
    + Added binary-indep target.
  * debian/compat: Bumped compat level to 7
  * debian/control:
    + Added ${misc:Depends} to Depends fields.
    + Bumped to Standards-Version 3.8.4
    + Added Homepage field.
    + Removed dpatch from Build-Deps.
    + Bumped debhelper dependency to version 7.
    + Added otf-thabit to Suggests field.
  * Added debian/watch, mlterm-tools.manpages,
    {mlterm,mlterm-tiny,mlterm-tools}.lintian-overrides
  * debian/*.menu: Set the section to "Applications/Terminal Emulators"
  * debian/mlterm.desktop: Remove Encoding field.
  * tool/mlconfig/Makefile.in: remove -R/usr/local/lib
  * debian/*.prerm: Add set -e in body of scripts.
  * debian/config-aafont: Added setting for UTF8 fixed width Arabic
    characters.

  [ Kenshi Muto ]
  * Thanks a lot for your excellent work, Ahmed!
  * Exclude /usr/lib/mlterm/*.so from dh_makeshlibs target.
  * Remove tool/mlclient/mlclientx on clean stage.

 -- Kenshi Muto <kmuto@debian.org>  Wed, 14 Apr 2010 20:51:55 +0900

mlterm (2.9.4-6) unstable; urgency=low

  * CVS snapshot 20090216.
    - merge 01_engine-for-debian patch.
    - fix that uim-skk can't choose candidates (closes: #506826)
  * update Build-Depends: replace x-dev by x11proto-core-dev.
    (closes: #515491)

 -- Kenshi Muto <kmuto@debian.org>  Mon, 16 Feb 2009 16:50:32 +0900

mlterm (2.9.4-5) unstable; urgency=medium

  * Fix im-uim fail at initialization time. (closes: #506618)

 -- Kenshi Muto <kmuto@debian.org>  Sun, 23 Nov 2008 11:33:19 +0900

mlterm (2.9.4-4) unstable; urgency=low

  * New maintainer upload.
    - Set myself on Maintainer.

 -- Kenshi Muto <kmuto@debian.org>  Thu, 19 Jun 2008 08:38:25 +0900

mlterm (2.9.4-3) unstable; urgency=medium

  * CVS snapshot 20080528.
    - Fix FTBFS (closes: #483336) by including stdio.h on im_uim.c.

 -- Kenshi Muto <kmuto@debian.org>  Thu, 29 May 2008 09:19:25 +0900

mlterm (2.9.4-2) unstable; urgency=medium

  * Add libxml2-dev and libthai-dev to Build-depends to
    fix FTBFS (closes: #473961)
  * Add tight version dependency to mlterm|mlterm-tiny on mlterm-tools.
    (closes: #470580)
  * Bump up policy to 3.7.3.

 -- Kenshi Muto <kmuto@debian.org>  Wed, 02 Apr 2008 23:14:23 +0900

mlterm (2.9.4-1) unstable; urgency=medium

  * New upstream release
  * Fix incorrect mlterm-common.shlibs. It solves FTBFS (closes: #453802)

 -- Kenshi Muto <kmuto@debian.org>  Sun, 02 Dec 2007 15:45:46 +0900

mlterm (2.9.3-6) unstable; urgency=low

  * apply cvs changes 1.948.
  * follow uim library (libuim5) transition.
  * modified build-depends. removed libxft2-dev. replaced scim-dev with
    libscim-dev. added libgcroots-dev.

 -- Kenshi Muto <kmuto@debian.org>  Sun, 06 May 2007 16:03:57 +0900

mlterm (2.9.3-5) unstable; urgency=medium

  * Fix 64 bit FTBFS around kik_utmp_sysv.c:123. (closes: #396532)
  * Set VLGothic for default Japanese font.
  * Use freetype to get fonts instead of XLFD. (closes: #352662)

 -- Kenshi Muto <kmuto@debian.org>  Wed,  1 Nov 2006 21:49:28 +0900

mlterm (2.9.3-4) unstable; urgency=medium

  * apply cvs changes 1.939.
    - fix wtmp records problem (closes: #329194)
  * removed mlterm-im-iiimf from the distribution.
    Debian IIIMF seems not well maintained and its ABI change
    prevents building mlterm. Plus only a few users use it.


=== debian/control ===
Source: mlterm
Section: x11
Priority: optional
Maintainer: Kenshi Muto <kmuto@debian.org>
Uploaders: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>
Build-Depends: debhelper (>= 7.0.50~), libgtk2.0-dev, libtool, libx11-dev, libxext-dev, libxft-dev, x11proto-core-dev, libfribidi-dev, libxrender-dev, libuim-dev (>= 1.4.1), libm17n-dev, libscim-dev, libgcroots-dev, libxml2-dev, libthai-dev
Standards-Version: 3.9.1
Homepage: http://mlterm.sourceforge.net
Vcs-Git: git://git.debian.org/git/collab-maint/mlterm.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/mlterm.git

Package: mlterm
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, mlterm-common (>=2.9.4-1)
Recommends: mlterm-tools
Suggests: unifont, xfonts-efont-unicode, ttf-vlgothic, ttf-baekmuk, ttf-arphic-bsmi00lp, ttf-arphic-gbsn00lp, ttf-freefont, t1-cyrillic, mlterm-im-uim, mlterm-im-m17nlib, mlterm-im-scim
Conflicts: mlterm-tiny
Provides: x-terminal-emulator
Description: MultiLingual TERMinal
 This is a terminal emulator for X Window System, which supports
 various encodings including ISO-8859-[1-11,13-16], TCVN5712, VISCII,
 TIS-620 (same as ISO-8859-11), KOI8-{R,U,T}, CP{1251,1255}, GEORGEAN-PS,
 EUC-JP, EUC-JISX0213, ISO-2022-JP{,1,2,3}, Shift_JIS, Shift_JISX0213,
 ISO-2022-KR, EUC-KR, UHC, JOHAB, EUC-CN (aka GB2312), GBK, ISO-2022-CN,
 Big5, EUC-TW, HZ, UTF-8, and GB18030.
 .
 Doublewidth characters for east Asian, combining characters for
 Thai, Vietnamese, and other diacritics, BiDi (bi-directionality)
 for Arabic and Hebrew as well as Arabic shaping are all supported.
 Though mlterm supports Indic complex languages such as Hindi, this
 Debian package is not compiled with Indic support.
 .
 Since mlterm checks the current locale and selects appropriate encoding,
 you don't need to configure mlterm to display your language and
 encoding.
 .
 mlterm also supports unique features such as scrollbar API,
 multiple windows, multiple XIM, anti-alias using FreeType and Xft,
 and so on.

Package: mlterm-tiny
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, mlterm-common (>=2.9.4-1)
Suggests: mlterm-tools, unifont, xfonts-efont-unicode, ttf-kochi-gothic, ttf-baekmuk, ttf-arphic-bsmi00lp, ttf-arphic-gbsn00lp, ttf-freefont, t1-cyrillic, mlterm-im-uim
Conflicts: mlterm
Provides: x-terminal-emulator
Description: MultiLingual TERMinal, tiny version
 This is a terminal emulator for X Window System, which supports
 various encodings including ISO-8859-[1-11,13-16], TCVN5712, VISCII,
 TIS-620 (same as ISO-8859-11), KOI8-{R,U,T}, CP{1251,1255}, GEORGEAN-PS,
 EUC-JP, EUC-JISX0213, ISO-2022-JP{,1,2,3}, Shift_JIS, Shift_JISX0213,
 ISO-2022-KR, EUC-KR, UHC, JOHAB, EUC-CN (aka GB2312), GBK, ISO-2022-CN,
 Big5, EUC-TW, HZ, UTF-8, and GB18030.
 .
 Doublewidth characters for east Asian, combining characters for
 Thai, Vietnamese, and other diacritics, BiDi (bi-directionality)
 for Arabic and Hebrew as well as Arabic shaping are all supported.
 Though mlterm supports Indic complex languages such as Hindi, this
 Debian package is not compiled with Indic support.
 .
 Since mlterm checks the current locale and selects appropriate encoding,
 you don't need to configure mlterm to display your language and
 encoding.
 .
 mlterm also supports unique features such as scrollbar API,
 multiple windows, multiple XIM, anti-alias using FreeType and Xft,
 and so on.
 .
 This tiny version does not support fancy features such as background
 image and so on, except for i18n-related features.

Package: mlterm-common
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: mlterm (<= 2.8.0.cvs20040403-2)
Recommends: mlterm | mlterm-tiny
Description: MultiLingual TERMinal, common files
 mlterm is a terminal emulator for X Window System, which supports
 various encodings, doublewidth characters, BiDi, Arabic shaping,
 and so on.
 .
 This package contains necessary files which are common for mlterm
 and mlterm-tiny packages.

Package: mlterm-tools
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, mlterm-common (>= 2.9.4-1), mlterm (= ${binary:Version}) | mlterm-tiny (= ${binary:Version})
Breaks: mlterm (<= 2.8.0.cvs20040403-2)
Replaces: mlterm (<= 2.8.0.cvs20040403-2)
Description: MultiLingual TERMinal, additional tools
 mlterm is a terminal emulator for X Window System, which supports
 various encodings, doublewidth characters, BiDi, Arabic shaping,
 and so on.
 .
 This package contains configuration tools and so on for mlterm.

Package: mlterm-im-uim
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, mlterm | mlterm-tiny
Description: MultiLingual TERMinal, uim input method plugin
 mlterm is a terminal emulator for X Window System, which supports
 various encodings, doublewidth characters, BiDi, Arabic shaping,
 and so on.
 .
 This package contains uim input method plugin for mlterm.

Package: mlterm-im-scim
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, mlterm | mlterm-tiny
Description: MultiLingual TERMinal, scim input method plugin
 mlterm is a terminal emulator for X Window System, which supports
 various encodings, doublewidth characters, BiDi, Arabic shaping,
 and so on.
 .
 This package contains scim input method plugin for mlterm.

Package: mlterm-im-m17nlib
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, mlterm | mlterm-tiny
Description: MultiLingual TERMinal, m17nlib input method plugin
 mlterm is a terminal emulator for X Window System, which supports
 various encodings, doublewidth characters, BiDi, Arabic shaping,
 and so on.
 .
 This package contains m17nlib input method plugin for mlterm.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS



CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif


MLTERM_COMMON=$(CURDIR)/debian/mlterm-common
MLTERM=$(CURDIR)/debian/mlterm
MLTERM_TINY=$(CURDIR)/debian/mlterm-tiny
MLTERM_TOOLS=$(CURDIR)/debian/mlterm-tools
MLTERM_IM_UIM=$(CURDIR)/debian/mlterm-im-uim
#MLTERM_IM_IIIMF=$(CURDIR)/debian/mlterm-im-iiimf
MLTERM_IM_M17NLIB=$(CURDIR)/debian/mlterm-im-m17nlib
MLTERM_IM_SCIM=$(CURDIR)/debian/mlterm-im-scim

OPTS_COMMON=--x-includes=/usr/X11R6/include \
            --x-libraries=/usr/X11R6/lib \
            --disable-rpath \
            --enable-fribidi
          # --enable-utmp \

OPTS_TINY=$(OPTS_COMMON) \
          --with-type-engines=xcore \
          --with-scrollbars=sample

OPTS_MAIN=$(OPTS_COMMON) \
          --with-imagelib=gdk-pixbuf2 --with-type-engines=xcore,xft \
          --enable-optimize-redrawing \
          --enable-fribidi \
          --with-tools=mlclient,mlconfig,mlterm-menu,mlcc,mlterm-zoom \
          --with-scrollbars=sample,extra,pixmap_engine \
          --enable-uim \
          --enable-m17nlib \
          --enable-scim
        # --enable-iiimf \

%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean
	rm -rf xwindow-tiny

override_dh_auto_configure:
	# Make mlterm-common, mlterm, mlterm-tools
	dh_auto_configure -- $(OPTS_MAIN) CFLAGS="$(CFLAGS)"

override_dh_auto_build:
	dh_auto_build

	# Make mlterm-tiny
	dh_auto_configure -- $(OPTS_TINY) CFLAGS="$(CFLAGS)"
	cp -a xwindow xwindow-tiny
	rm -f xwindow-tiny/*.o
	$(MAKE) -C xwindow-tiny VPATH=$(CURDIR)/xwindow-tiny PROG=mlterm-tiny

	# configure again for installation (later)
	dh_auto_configure -- $(OPTS_MAIN) CFLAGS="$(CFLAGS)"

override_dh_auto_install:
	# mlterm-common
	$(MAKE) install DESTDIR=$(MLTERM_COMMON)
	TERMINFO=$(MLTERM_COMMON)/usr/share/terminfo tic doc/term/mlterm.ti
	for i in main font aafont key termcap xim color menu ; \
	  do install -m 644 debian/config-$$i \
	  $(MLTERM_COMMON)/etc/mlterm/$$i ; done

	#for i in Bluecurve BrushedMetal Crux LihthouseBlue ShinyMetal \
	#    Smokey-Blue ; \
	#  do install -d $(MLTERM_COMMON)/usr/share/mlterm/scrollbars/$$i ; \
	#  install -m 644 contrib/scrollbar/$$i/[^C]* \
	#    $(MLTERM_COMMON)/usr/share/mlterm/scrollbars/$$i ; done
	rm $(MLTERM_COMMON)/usr/lib/*.so
	rm $(MLTERM_COMMON)/usr/lib/*.a
	rm $(MLTERM_COMMON)/usr/lib/*.la
	rm $(MLTERM_COMMON)/usr/lib/mlterm/*.a
	rm $(MLTERM_COMMON)/usr/lib/mlterm/*.la

	# mlterm-tools
	mv $(MLTERM_COMMON)/usr/bin/mlcc     $(MLTERM_TOOLS)/usr/bin/
	mv $(MLTERM_COMMON)/usr/bin/mlclient $(MLTERM_TOOLS)/usr/bin/
	mv $(MLTERM_COMMON)/usr/share/man/man1/mlclient.1 \
		$(MLTERM_TOOLS)/usr/share/man/man1/
	mv $(MLTERM_COMMON)/usr/lib/mlterm/mlterm-zoom \
		$(MLTERM_TOOLS)/usr/lib/mlterm/
	mv $(MLTERM_COMMON)/usr/lib/mlterm/mlterm-menu \
		$(MLTERM_TOOLS)/usr/lib/mlterm/
	mv $(MLTERM_COMMON)/usr/lib/mlterm/mlconfig \
		$(MLTERM_TOOLS)/usr/lib/mlterm/

	# mlterm
	mv $(MLTERM_COMMON)/usr/bin/mlterm     $(MLTERM)/usr/bin/

	mv $(MLTERM_COMMON)/usr/lib/mlterm/libim-uim.so $(MLTERM_IM_UIM)/usr/lib/mlterm/
	#mv $(MLTERM_COMMON)/usr/lib/mlterm/libim-iiimf.so $(MLTERM_IM_IIIMF)/usr/lib/mlterm/
	mv $(MLTERM_COMMON)/usr/lib/mlterm/libim-m17nlib.so $(MLTERM_IM_M17NLIB)/usr/lib/mlterm/
	mv $(MLTERM_COMMON)/usr/lib/mlterm/libim-scim.so $(MLTERM_IM_SCIM)/usr/lib/mlterm/
	cp $(MLTERM_COMMON)/usr/share/man/man1/mlterm.1 \
		$(MLTERM)/usr/share/man/man1/

	# mlterm-tiny
	$(MAKE) -C xwindow-tiny install DESTDIR=$(MLTERM_TINY) PROG=mlterm-tiny
	mv $(MLTERM_TINY)/usr/bin/mlterm-tiny $(MLTERM_TINY)/usr/bin/mlterm
	mv $(MLTERM_COMMON)/usr/share/man/man1/mlterm.1 \
		$(MLTERM_TINY)/usr/share/man/man1/

	rm -r $(MLTERM_COMMON)/usr/bin $(MLTERM_COMMON)/usr/share/man

override_dh_auto_test:

override_dh_makeshlibs:
	dh_makeshlibs -Xusr/lib/mlterm

## mlterm 3.0.2

=== debian/changelog ===
mlterm (3.0.2-1) experimental; urgency=low

  * New upstream release.
  * debian/rules: gdk-pixbuf2 -> gdk-pixbuf
  * Refreshed patch: disable_rpath.diff
  * Removed numlock.diff and fix_ftbfs_with_binutils_gold.diff patches, as
    they got applied upstream.
  * debian/mlterm-common.shlibs: SO bump for libkik
  * Stop shipping terminfo for mlterm to make way for ncurses-term to ship it
    (Closes: #485448, #300173)

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Sun, 02 Jan 2011 16:17:40 +0200

mlterm (3.0.1-3) unstable; urgency=low

  * Added patch from upstream to fix FTBFS with binutils-gold.
    (Closes: #605298)
  * debian/mlterm-common.docs: Removed ChangeLog as it is already
    installed by dh_installchangelogs

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Mon, 29 Nov 2010 06:36:46 +0200

## mlterm 3.0.3

=== mkf/conv/Makefile ===
CC = gcc
CFLAGS = -Wall -O3 $(CFLAGS_LOCAL)
LIBS = -lmkf -lkik
INSTALL = install -c

PREFIX = $(HOME)
BINDIR = $(PREFIX)/bin

.SUFFIXES : .c .o

mkf : mkf.o
	$(CC) $(CFLAGS) -o mkf mkf.o $(LIBS)

install : mkf
	strip mkf
	$(INSTALL) -m 755 mkf $(BINDIR)

.c.o :
	$(CC) $(CFLAGS) -c $<

wc :
	find . -name "*.[ch]" -a \! -name "test_*" -o -name "*.pl" -o -name "*.pm" | xargs wc -l

clean :
	rm -f mkf mkf.o *.core

=== debian/changelog ===
mlterm (3.0.3-1) unstable; urgency=low

  * New upstream release.
  * Refreshed disable_rpath.diff patch.
  * Added manpage.diff patch to properly escape minus signs.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Fri, 25 Mar 2011 09:46:00 +0200

mlterm (3.0.2-2) unstable; urgency=low

  * Upload to unstable.
  * Remove leading slashes from lintian overrides

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Sat, 19 Mar 2011 20:55:37 +0200

=== debian/control ===
--- 
+++ 
@@ -71,7 +71,7 @@
 
 Package: mlterm-common
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}, ncurses-term (>= 5.7+20101128-1)
 Replaces: mlterm (<= 2.8.0.cvs20040403-2)
 Recommends: mlterm | mlterm-tiny
 Description: MultiLingual TERMinal, common files

=== debian/rules ===
--- 
+++ 
@@ -46,7 +46,7 @@
           --with-scrollbars=sample
 
 OPTS_MAIN=$(OPTS_COMMON) \
-          --with-imagelib=gdk-pixbuf2 --with-type-engines=xcore,xft \
+          --with-imagelib=gdk-pixbuf --with-type-engines=xcore,xft \
           --enable-optimize-redrawing \
           --enable-fribidi \
           --with-tools=mlclient,mlconfig,mlterm-menu,mlcc,mlterm-zoom \
@@ -82,7 +82,6 @@
 override_dh_auto_install:
 	# mlterm-common
 	$(MAKE) install DESTDIR=$(MLTERM_COMMON)
-	TERMINFO=$(MLTERM_COMMON)/usr/share/terminfo tic doc/term/mlterm.ti
 	for i in main font aafont key termcap xim color menu ; \
 	  do install -m 644 debian/config-$$i \
 	  $(MLTERM_COMMON)/etc/mlterm/$$i ; done

## mlterm 3.0.5

=== tool/accessories/Makefile ===
prefix=/usr/local
bindir=$(prefix)/bin

DESTDIR=
BINDIR=$(DESTDIR)$(bindir)

TARGETS=xconsole.sh google.sh

INSTALL=install -c

install:
	$(INSTALL) -m 755 $(TARGETS) $(BINDIR)/

=== debian/changelog ===
mlterm (3.0.5-2) unstable; urgency=low

  [ Kenshi Muto ]
  * remove unnecessary gtk/INSTALL.orig file

  [ أحمد المحمودي (Ahmed El-Mahmoudy) ]
  * Enable IBus input method (Closes: #631493)
    + debian/control:
      - Add libibus-dev to Build-Deps
      - Added mlterm-im-ibus binary package
    + debian/rules:
      - Pass --enable-ibus option to configure
      - Install libim-ibus.so to mlterm-im-ibus package
    + Added mlterm-im-ibus.dirs

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Fri, 24 Jun 2011 15:21:46 +0200

mlterm (3.0.5-1) unstable; urgency=low

  * New upstream release. (Closes: #629163)
  * debian/mlterm-tools.lintian-overrides: Remove leading slash from lintian
    override.
  * debian/rules: Do not install .a and .la files (Closes: #622546)
  * debian/control: Bumped Standards-Version to 3.9.2
  * Bumped compat level to 8
  * Refreshed disable_rpath.diff patch.
  * Removed manpage.diff patch, as it got applied upstream.
  * debian/mlterm-common.shlibs: SO bump for libkik & libmkf

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Fri, 10 Jun 2011 08:36:55 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Kenshi Muto <kmuto@debian.org>
 Uploaders: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>
-Build-Depends: debhelper (>= 7.0.50~), libgtk2.0-dev, libtool, libx11-dev, libxext-dev, libxft-dev, x11proto-core-dev, libfribidi-dev, libxrender-dev, libuim-dev (>= 1.4.1), libm17n-dev, libscim-dev, libgcroots-dev, libxml2-dev, libthai-dev
-Standards-Version: 3.9.1
+Build-Depends: debhelper (>= 8), libgtk2.0-dev, libtool, libx11-dev, libxext-dev, libxft-dev, x11proto-core-dev, libfribidi-dev, libxrender-dev, libuim-dev (>= 1.4.1), libm17n-dev, libscim-dev, libgcroots-dev, libxml2-dev, libthai-dev, libibus-dev
+Standards-Version: 3.9.2
 Homepage: http://mlterm.sourceforge.net
 Vcs-Git: git://git.debian.org/git/collab-maint/mlterm.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/mlterm.git
@@ -123,3 +123,13 @@
  and so on.
  .
  This package contains m17nlib input method plugin for mlterm.
+
+Package: mlterm-im-ibus
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}, mlterm | mlterm-tiny
+Description: MultiLingual TERMinal, IBus input method plugin
+ mlterm is a terminal emulator for X Window System, which supports
+ various encodings, doublewidth characters, BiDi, Arabic shaping,
+ and so on.
+ .
+ This package contains IBus input method plugin for mlterm.

=== debian/rules ===
--- 
+++ 
@@ -34,6 +34,7 @@
 #MLTERM_IM_IIIMF=$(CURDIR)/debian/mlterm-im-iiimf
 MLTERM_IM_M17NLIB=$(CURDIR)/debian/mlterm-im-m17nlib
 MLTERM_IM_SCIM=$(CURDIR)/debian/mlterm-im-scim
+MLTERM_IM_IBUS=$(CURDIR)/debian/mlterm-im-ibus
 
 OPTS_COMMON=--x-includes=/usr/X11R6/include \
             --x-libraries=/usr/X11R6/lib \
@@ -53,7 +54,8 @@
           --with-scrollbars=sample,extra,pixmap_engine \
           --enable-uim \
           --enable-m17nlib \
-          --enable-scim
+          --enable-scim \
+					--enable-ibus
         # --enable-iiimf \
 
 %:
@@ -96,6 +98,8 @@
 	rm $(MLTERM_COMMON)/usr/lib/*.la
 	rm $(MLTERM_COMMON)/usr/lib/mlterm/*.a
 	rm $(MLTERM_COMMON)/usr/lib/mlterm/*.la
+	rm $(MLTERM_COMMON)/usr/lib/mkf/*.a
+	rm $(MLTERM_COMMON)/usr/lib/mkf/*.la
 
 	# mlterm-tools
 	mv $(MLTERM_COMMON)/usr/bin/mlcc     $(MLTERM_TOOLS)/usr/bin/
@@ -116,6 +120,7 @@
 	#mv $(MLTERM_COMMON)/usr/lib/mlterm/libim-iiimf.so $(MLTERM_IM_IIIMF)/usr/lib/mlterm/
 	mv $(MLTERM_COMMON)/usr/lib/mlterm/libim-m17nlib.so $(MLTERM_IM_M17NLIB)/usr/lib/mlterm/
 	mv $(MLTERM_COMMON)/usr/lib/mlterm/libim-scim.so $(MLTERM_IM_SCIM)/usr/lib/mlterm/
+	mv $(MLTERM_COMMON)/usr/lib/mlterm/libim-ibus.so $(MLTERM_IM_IBUS)/usr/lib/mlterm/
 	cp $(MLTERM_COMMON)/usr/share/man/man1/mlterm.1 \
 		$(MLTERM)/usr/share/man/man1/

## mlterm 3.0.6

=== tool/accessories/Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 DESTDIR=
 BINDIR=$(DESTDIR)$(bindir)
 
-TARGETS=xconsole.sh google.sh
+TARGETS=xconsole.sh google.sh mlsearch.sh
 
 INSTALL=install -c

=== debian/changelog ===
mlterm (3.0.6-1) unstable; urgency=low

  * New upstream release.
  * Added debian/mlterm-common.symbols
  * debian/control: Remove dependency on mlterm-common, as it is better
    handled by ${shlib:Depends}
  * Enable ssh2 support
    + debian/control: Add libssh2-1-dev to Build-Deps
    + debian/rules: Add --enable-ssh2 to OPTS_COMMON
  * Refreshed patches
  * Enable Cairo rendering engine
    + debian/rules: Add cairo to --with-type-engines for OPTS_MAIN
    + debian/control: Add libcairo2-dev to Build-Deps
  * debian/mlterm-common.shlibs: SO bump for libmkf
  * Updated debian/mlterm-common.symbols
  * Disable IBus input method for now, since Debian has a development release
    that causes mlterm to FTBFS.
  * Exclude /usr/lib/mkf/* from dh_makeshlibs target.
  * Added versioned dependency on mlterm | mlterm-tiny for mlterm-im-*
    packages (Closes: #633790).

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Tue, 23 Aug 2011 16:47:08 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Kenshi Muto <kmuto@debian.org>
 Uploaders: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>
-Build-Depends: debhelper (>= 8), libgtk2.0-dev, libtool, libx11-dev, libxext-dev, libxft-dev, x11proto-core-dev, libfribidi-dev, libxrender-dev, libuim-dev (>= 1.4.1), libm17n-dev, libscim-dev, libgcroots-dev, libxml2-dev, libthai-dev, libibus-dev
+Build-Depends: debhelper (>= 8), libgtk2.0-dev, libtool, libx11-dev, libxext-dev, libxft-dev, x11proto-core-dev, libfribidi-dev, libxrender-dev, libuim-dev (>= 1.4.1), libm17n-dev, libscim-dev, libgcroots-dev, libxml2-dev, libthai-dev, libssh2-1-dev, libcairo2-dev
 Standards-Version: 3.9.2
 Homepage: http://mlterm.sourceforge.net
 Vcs-Git: git://git.debian.org/git/collab-maint/mlterm.git
@@ -11,7 +11,7 @@
 
 Package: mlterm
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, mlterm-common (>=2.9.4-1)
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Recommends: mlterm-tools
 Suggests: unifont, xfonts-efont-unicode, ttf-vlgothic, ttf-baekmuk, ttf-arphic-bsmi00lp, ttf-arphic-gbsn00lp, ttf-freefont, t1-cyrillic, mlterm-im-uim, mlterm-im-m17nlib, mlterm-im-scim
 Conflicts: mlterm-tiny
@@ -40,7 +40,7 @@
 
 Package: mlterm-tiny
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, mlterm-common (>=2.9.4-1)
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Suggests: mlterm-tools, unifont, xfonts-efont-unicode, ttf-kochi-gothic, ttf-baekmuk, ttf-arphic-bsmi00lp, ttf-arphic-gbsn00lp, ttf-freefont, t1-cyrillic, mlterm-im-uim
 Conflicts: mlterm
 Provides: x-terminal-emulator
@@ -84,7 +84,7 @@
 
 Package: mlterm-tools
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, mlterm-common (>= 2.9.4-1), mlterm (= ${binary:Version}) | mlterm-tiny (= ${binary:Version})
+Depends: ${misc:Depends}, ${shlibs:Depends}, mlterm (= ${binary:Version}) | mlterm-tiny (= ${binary:Version})
 Breaks: mlterm (<= 2.8.0.cvs20040403-2)
 Replaces: mlterm (<= 2.8.0.cvs20040403-2)
 Description: MultiLingual TERMinal, additional tools
@@ -96,7 +96,7 @@
 
 Package: mlterm-im-uim
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, mlterm | mlterm-tiny
+Depends: ${misc:Depends}, ${shlibs:Depends}, mlterm (= ${binary:Version}) | mlterm-tiny (= ${binary:Version})
 Description: MultiLingual TERMinal, uim input method plugin
  mlterm is a terminal emulator for X Window System, which supports
  various encodings, doublewidth characters, BiDi, Arabic shaping,
@@ -106,7 +106,7 @@
 
 Package: mlterm-im-scim
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, mlterm | mlterm-tiny
+Depends: ${misc:Depends}, ${shlibs:Depends}, mlterm (= ${binary:Version}) | mlterm-tiny (= ${binary:Version})
 Description: MultiLingual TERMinal, scim input method plugin
  mlterm is a terminal emulator for X Window System, which supports
  various encodings, doublewidth characters, BiDi, Arabic shaping,
@@ -116,20 +116,10 @@
 
 Package: mlterm-im-m17nlib
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, mlterm | mlterm-tiny
+Depends: ${misc:Depends}, ${shlibs:Depends}, mlterm (= ${binary:Version}) | mlterm-tiny (= ${binary:Version})
 Description: MultiLingual TERMinal, m17nlib input method plugin
  mlterm is a terminal emulator for X Window System, which supports
  various encodings, doublewidth characters, BiDi, Arabic shaping,
  and so on.
  .
  This package contains m17nlib input method plugin for mlterm.
-
-Package: mlterm-im-ibus
-Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, mlterm | mlterm-tiny
-Description: MultiLingual TERMinal, IBus input method plugin
- mlterm is a terminal emulator for X Window System, which supports
- various encodings, doublewidth characters, BiDi, Arabic shaping,
- and so on.
- .
- This package contains IBus input method plugin for mlterm.

=== debian/rules ===
--- 
+++ 
@@ -34,11 +34,11 @@
 #MLTERM_IM_IIIMF=$(CURDIR)/debian/mlterm-im-iiimf
 MLTERM_IM_M17NLIB=$(CURDIR)/debian/mlterm-im-m17nlib
 MLTERM_IM_SCIM=$(CURDIR)/debian/mlterm-im-scim
-MLTERM_IM_IBUS=$(CURDIR)/debian/mlterm-im-ibus
 
 OPTS_COMMON=--x-includes=/usr/X11R6/include \
             --x-libraries=/usr/X11R6/lib \
             --disable-rpath \
+            --enable-ssh2 \
             --enable-fribidi
           # --enable-utmp \
 
@@ -47,15 +47,14 @@
           --with-scrollbars=sample
 
 OPTS_MAIN=$(OPTS_COMMON) \
-          --with-imagelib=gdk-pixbuf --with-type-engines=xcore,xft \
+          --with-imagelib=gdk-pixbuf --with-type-engines=xcore,xft,cairo \
           --enable-optimize-redrawing \
           --enable-fribidi \
           --with-tools=mlclient,mlconfig,mlterm-menu,mlcc,mlterm-zoom \
           --with-scrollbars=sample,extra,pixmap_engine \
           --enable-uim \
           --enable-m17nlib \
-          --enable-scim \
-					--enable-ibus
+          --enable-scim
         # --enable-iiimf \
 
 %:
@@ -120,7 +119,6 @@
 	#mv $(MLTERM_COMMON)/usr/lib/mlterm/libim-iiimf.so $(MLTERM_IM_IIIMF)/usr/lib/mlterm/
 	mv $(MLTERM_COMMON)/usr/lib/mlterm/libim-m17nlib.so $(MLTERM_IM_M17NLIB)/usr/lib/mlterm/
 	mv $(MLTERM_COMMON)/usr/lib/mlterm/libim-scim.so $(MLTERM_IM_SCIM)/usr/lib/mlterm/
-	mv $(MLTERM_COMMON)/usr/lib/mlterm/libim-ibus.so $(MLTERM_IM_IBUS)/usr/lib/mlterm/
 	cp $(MLTERM_COMMON)/usr/share/man/man1/mlterm.1 \
 		$(MLTERM)/usr/share/man/man1/
 
@@ -135,4 +133,4 @@
 override_dh_auto_test:
 
 override_dh_makeshlibs:
-	dh_makeshlibs -Xusr/lib/mlterm
+	dh_makeshlibs -Xusr/lib/mlterm -Xusr/lib/mkf

## mlterm 3.0.8

=== debian/changelog ===
mlterm (3.0.8-2) unstable; urgency=low

  * debian/control:
    + Update suggests for gothic font package.
      Thanks to Hideki Yamane <henrich@debian.or.jp> (Closes: #644770)
    + Update suggests for arphic font packages

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Tue, 11 Oct 2011 19:23:57 +0200

mlterm (3.0.8-1) unstable; urgency=low

  * New upstream release.
  * Dropped support_ldflags.diff patch: applied upstream

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Tue, 27 Sep 2011 20:45:50 +0200

mlterm (3.0.7-1) unstable; urgency=low

  * New upstream release.
    + ml_bidi.c: Double free problem is fixed. (Closes: #640180)
  * debian/mlterm-common.symbols: Updated symbols file
  * Added xwindow/libtype/Makefile.in to disable_rpath.diff patch
  * Updated symbols file
  * Added support_ldflags.diff patch to add LDFLAGS support in makefiles
  * debian/rules:
    + Pass -Wl,--as-needed to LDFLAGS
    + Enable Indic rendering in common configure opts
    + Only specify libkik.so & libmkf.so for deletion from /usr/lib, this is
      to avoid deleting /usr/lib/libmlterm_core.so

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Wed, 21 Sep 2011 20:40:26 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Recommends: mlterm-tools
-Suggests: unifont, xfonts-efont-unicode, ttf-vlgothic, ttf-baekmuk, ttf-arphic-bsmi00lp, ttf-arphic-gbsn00lp, ttf-freefont, t1-cyrillic, mlterm-im-uim, mlterm-im-m17nlib, mlterm-im-scim
+Suggests: unifont, xfonts-efont-unicode, fonts-vlgothic | fonts-japanese-gothic, ttf-baekmuk, fonts-arphic-bsmi00lp, fonts-arphic-gbsn00lp, ttf-freefont, t1-cyrillic, mlterm-im-uim, mlterm-im-m17nlib, mlterm-im-scim
 Conflicts: mlterm-tiny
 Provides: x-terminal-emulator
 Description: MultiLingual TERMinal
@@ -41,7 +41,7 @@
 Package: mlterm-tiny
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Suggests: mlterm-tools, unifont, xfonts-efont-unicode, ttf-kochi-gothic, ttf-baekmuk, ttf-arphic-bsmi00lp, ttf-arphic-gbsn00lp, ttf-freefont, t1-cyrillic, mlterm-im-uim
+Suggests: mlterm-tools, unifont, xfonts-efont-unicode, fonts-vlgothic | fonts-japanese-gothic, ttf-baekmuk, fonts-arphic-bsmi00lp, fonts-arphic-gbsn00lp, ttf-freefont, t1-cyrillic, mlterm-im-uim
 Conflicts: mlterm
 Provides: x-terminal-emulator
 Description: MultiLingual TERMinal, tiny version

=== debian/rules ===
--- 
+++ 
@@ -39,7 +39,8 @@
             --x-libraries=/usr/X11R6/lib \
             --disable-rpath \
             --enable-ssh2 \
-            --enable-fribidi
+            --enable-fribidi \
+						--enable-ind
           # --enable-utmp \
 
 OPTS_TINY=$(OPTS_COMMON) \
@@ -66,19 +67,19 @@
 
 override_dh_auto_configure:
 	# Make mlterm-common, mlterm, mlterm-tools
-	dh_auto_configure -- $(OPTS_MAIN) CFLAGS="$(CFLAGS)"
+	dh_auto_configure -- $(OPTS_MAIN) CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS) -Wl,--as-needed"
 
 override_dh_auto_build:
 	dh_auto_build
 
 	# Make mlterm-tiny
-	dh_auto_configure -- $(OPTS_TINY) CFLAGS="$(CFLAGS)"
+	dh_auto_configure -- $(OPTS_TINY) CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS) -Wl,--as-needed"
 	cp -a xwindow xwindow-tiny
 	rm -f xwindow-tiny/*.o
 	$(MAKE) -C xwindow-tiny VPATH=$(CURDIR)/xwindow-tiny PROG=mlterm-tiny
 
 	# configure again for installation (later)
-	dh_auto_configure -- $(OPTS_MAIN) CFLAGS="$(CFLAGS)"
+	dh_auto_configure -- $(OPTS_MAIN) CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS) -Wl,--as-needed"
 
 override_dh_auto_install:
 	# mlterm-common
@@ -92,7 +93,8 @@
 	#  do install -d $(MLTERM_COMMON)/usr/share/mlterm/scrollbars/$$i ; \
 	#  install -m 644 contrib/scrollbar/$$i/[^C]* \
 	#    $(MLTERM_COMMON)/usr/share/mlterm/scrollbars/$$i ; done
-	rm $(MLTERM_COMMON)/usr/lib/*.so
+	rm $(MLTERM_COMMON)/usr/lib/libkik.so
+	rm $(MLTERM_COMMON)/usr/lib/libmkf.so
 	rm $(MLTERM_COMMON)/usr/lib/*.a
 	rm $(MLTERM_COMMON)/usr/lib/*.la
 	rm $(MLTERM_COMMON)/usr/lib/mlterm/*.a

## mlterm 3.0.9

=== debian/changelog ===
mlterm (3.0.9-1) unstable; urgency=low

  * New upstream release.
  * Re-enable IBus input method. (Closes: #631493)
  * debian/control:
    + Update suggests for baekmuk font package
    + Updated Build-Dep for IBus to libibus-1.0-dev
  * Install docs in mlterm-common only
    + Remove mlterm-{tiny,tools}.docs, mlterm.docs
    + debian/rules: override dh_installdocs to link all packages' docs to
      mlterm-common
  * mlterm-common.docs: Add doc/en/FAQ and doc/en/ReleaseNote
  * debian/mlterm-common.shlibs: SO bump for libkik
  * Updated debian/mlterm-common.symbols

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Wed, 23 Nov 2011 19:41:38 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Kenshi Muto <kmuto@debian.org>
 Uploaders: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>
-Build-Depends: debhelper (>= 8), libgtk2.0-dev, libtool, libx11-dev, libxext-dev, libxft-dev, x11proto-core-dev, libfribidi-dev, libxrender-dev, libuim-dev (>= 1.4.1), libm17n-dev, libscim-dev, libgcroots-dev, libxml2-dev, libthai-dev, libssh2-1-dev, libcairo2-dev
+Build-Depends: debhelper (>= 8), libgtk2.0-dev, libtool, libx11-dev, libxext-dev, libxft-dev, x11proto-core-dev, libfribidi-dev, libxrender-dev, libuim-dev (>= 1.4.1), libm17n-dev, libscim-dev, libgcroots-dev, libxml2-dev, libthai-dev, libibus-1.0-dev, libssh2-1-dev, libcairo2-dev
 Standards-Version: 3.9.2
 Homepage: http://mlterm.sourceforge.net
 Vcs-Git: git://git.debian.org/git/collab-maint/mlterm.git
@@ -13,7 +13,7 @@
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Recommends: mlterm-tools
-Suggests: unifont, xfonts-efont-unicode, fonts-vlgothic | fonts-japanese-gothic, ttf-baekmuk, fonts-arphic-bsmi00lp, fonts-arphic-gbsn00lp, ttf-freefont, t1-cyrillic, mlterm-im-uim, mlterm-im-m17nlib, mlterm-im-scim
+Suggests: unifont, xfonts-efont-unicode, fonts-vlgothic | fonts-japanese-gothic, fonts-baekmuk, fonts-arphic-bsmi00lp, fonts-arphic-gbsn00lp, ttf-freefont, t1-cyrillic, mlterm-im-uim, mlterm-im-m17nlib, mlterm-im-scim
 Conflicts: mlterm-tiny
 Provides: x-terminal-emulator
 Description: MultiLingual TERMinal
@@ -41,7 +41,7 @@
 Package: mlterm-tiny
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Suggests: mlterm-tools, unifont, xfonts-efont-unicode, fonts-vlgothic | fonts-japanese-gothic, ttf-baekmuk, fonts-arphic-bsmi00lp, fonts-arphic-gbsn00lp, ttf-freefont, t1-cyrillic, mlterm-im-uim
+Suggests: mlterm-tools, unifont, xfonts-efont-unicode, fonts-vlgothic | fonts-japanese-gothic, fonts-baekmuk, fonts-arphic-bsmi00lp, fonts-arphic-gbsn00lp, ttf-freefont, t1-cyrillic, mlterm-im-uim
 Conflicts: mlterm
 Provides: x-terminal-emulator
 Description: MultiLingual TERMinal, tiny version
@@ -123,3 +123,13 @@
  and so on.
  .
  This package contains m17nlib input method plugin for mlterm.
+
+Package: mlterm-im-ibus
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}, mlterm (= ${binary:Version}) | mlterm-tiny (= ${binary:Version})
+Description: MultiLingual TERMinal, IBus input method plugin
+ mlterm is a terminal emulator for X Window System, which supports
+ various encodings, doublewidth characters, BiDi, Arabic shaping,
+ and so on.
+ .
+ This package contains IBus input method plugin for mlterm.

## mlterm 3.0.11

=== debian/changelog ===
mlterm (3.0.11-1) unstable; urgency=low

  * New upstream release.
  * Removed iconpathfix.diff patch as it is included upstream.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Mon, 06 Feb 2012 11:30:24 +0200

mlterm (3.0.9-2) unstable; urgency=low

  * Added iconpathfix.diff patch to fix icon path issue. (Closes: #650515)

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Mon, 12 Dec 2011 18:24:16 +0200

=== debian/rules ===
--- 
+++ 
@@ -34,6 +34,7 @@
 #MLTERM_IM_IIIMF=$(CURDIR)/debian/mlterm-im-iiimf
 MLTERM_IM_M17NLIB=$(CURDIR)/debian/mlterm-im-m17nlib
 MLTERM_IM_SCIM=$(CURDIR)/debian/mlterm-im-scim
+MLTERM_IM_IBUS=$(CURDIR)/debian/mlterm-im-ibus
 
 OPTS_COMMON=--x-includes=/usr/X11R6/include \
             --x-libraries=/usr/X11R6/lib \
@@ -55,7 +56,8 @@
           --with-scrollbars=sample,extra,pixmap_engine \
           --enable-uim \
           --enable-m17nlib \
-          --enable-scim
+          --enable-scim \
+					--enable-ibus
         # --enable-iiimf \
 
 %:
@@ -121,6 +123,7 @@
 	#mv $(MLTERM_COMMON)/usr/lib/mlterm/libim-iiimf.so $(MLTERM_IM_IIIMF)/usr/lib/mlterm/
 	mv $(MLTERM_COMMON)/usr/lib/mlterm/libim-m17nlib.so $(MLTERM_IM_M17NLIB)/usr/lib/mlterm/
 	mv $(MLTERM_COMMON)/usr/lib/mlterm/libim-scim.so $(MLTERM_IM_SCIM)/usr/lib/mlterm/
+	mv $(MLTERM_COMMON)/usr/lib/mlterm/libim-ibus.so $(MLTERM_IM_IBUS)/usr/lib/mlterm/
 	cp $(MLTERM_COMMON)/usr/share/man/man1/mlterm.1 \
 		$(MLTERM)/usr/share/man/man1/
 
@@ -136,3 +139,6 @@
 
 override_dh_makeshlibs:
 	dh_makeshlibs -Xusr/lib/mlterm -Xusr/lib/mkf
+
+override_dh_installdocs:
+	dh_installdocs --link-doc=mlterm-common
